Package com.isomorphic.velocity

# Class ResponseDataHandler

java.lang.Object
com.isomorphic.velocity.ResponseDataHandler

public class ResponseDataHandler extends Object
This class represents the functionality available in Transaction Chaining when you use the $responseData template variable. Please scan the client-side documentation for 'transaction chaining' for a full discussion of Transaction Chaining.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `first(String ds)`
  `Object`
  `first(String ds, String operation)`
  `Object`
  `getFirst()`
  `Object`
  `getLast()`
  `Object`
  `last(String ds)`
  `Object`
  `last(String ds, String operation)`

- ## Method Details

  - ### getFirst

    public Object getFirst()
    Returns:
      The data member of the first DSResponse in the current queue

  - ### first

    public Object first(String ds)
    Parameters:
      `ds` - DataSource name
    Returns:
      The data member of the first DSResponse in the current queue for the parameter DataSource

  - ### first

    public Object first(String ds, String operation)
    Parameters:
      `ds` - DataSource name
      `operation` - A String representing an operation type, like "fetch" or "add"
    Returns:
      The data member of the first DSResponse in the current queue which is for the parameter DataSource and is in response to a DSRequest of the parameter operation type (eg, returns the response to the first "add" on a given DataSource)

  - ### getLast

    public Object getLast()
    Returns:
      The data member of the last DSResponse in the current queue

  - ### last

    public Object last(String ds)
    Parameters:
      `ds` - DataSource name
    Returns:
      The data member of the last DSResponse in the current queue for the parameter DataSource

  - ### last

    public Object last(String ds, String operation)
    Parameters:
      `ds` - DataSource name
      `operation` - String representing an operation type, like "fetch" or "add"
    Returns:
      The data member of the last DSResponse in the current queue which is for the parameter DataSource and is in response to a DSRequest of the parameter operation type (eg, returns the response to the most recent "add" on a given DataSource)